package cn.ysk.cashier.mybatis.entity;

import java.util.Date;

import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;

/**
 * 活动赠送商品使用记录表(TbActivateOutRecord)表实体类
 *
 * @author ww
 * @since 2024-08-22 14:53:52
 */
@SuppressWarnings("serial")
public class TbActivateOutRecord extends Model<TbActivateOutRecord> {

    private Integer id;
    //商品赠送Id
    private Integer giveId;
    //商品id
    private Integer proId;
    //未使用数量
    private Integer useNum;
    //退单量
    private Integer refNum;
    //订单id
    private String orderId;
    //新建： create， 完成： closed, 取消：cancel,
    private String status;

    private Date createTime;

    private Date updateTime;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getGiveId() {
        return giveId;
    }

    public void setGiveId(Integer giveId) {
        this.giveId = giveId;
    }

    public Integer getProId() {
        return proId;
    }

    public void setProId(Integer proId) {
        this.proId = proId;
    }

    public Integer getUseNum() {
        return useNum;
    }

    public void setUseNum(Integer useNum) {
        this.useNum = useNum;
    }

    public Integer getRefNum() {
        return refNum;
    }

    public void setRefNum(Integer refNum) {
        this.refNum = refNum;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}

